package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpPurNoticePageVO {
   @ApiModelProperty("通知id")
   private Long noticeId;
   @ApiModelProperty("采购单号")
   private String planId;
   @ApiModelProperty("供货单号")
   private String supplierSingleId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("通知时间")
   private LocalDateTime noticeTime;
   @ApiModelProperty("通知结果(1成功2失败)")
   private Integer noticeStatus;
   @ApiModelProperty("失败原因")
   private String errorReason;
   @ApiModelProperty("通知过程(1采购员通知供应商更改2供应商通知采购员确认3采购员通知供应商已确认)")
   private Integer noticeProcess;
   @ApiModelProperty("通知类型(1正常通知2二次通知)")
   private Integer noticeType;
   @ApiModelProperty("通知方式(1邮件通知,2短信通知,3公众号通知)")
   private Integer noticeStyle;
   @ApiModelProperty("操作员")
   private String createBy;

   public Long getNoticeId() {
      return this.noticeId;
   }

   public String getPlanId() {
      return this.planId;
   }

   public String getSupplierSingleId() {
      return this.supplierSingleId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public LocalDateTime getNoticeTime() {
      return this.noticeTime;
   }

   public Integer getNoticeStatus() {
      return this.noticeStatus;
   }

   public String getErrorReason() {
      return this.errorReason;
   }

   public Integer getNoticeProcess() {
      return this.noticeProcess;
   }

   public Integer getNoticeType() {
      return this.noticeType;
   }

   public Integer getNoticeStyle() {
      return this.noticeStyle;
   }

   public void setNoticeId(final Long noticeId) {
      this.noticeId = noticeId;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setSupplierSingleId(final String supplierSingleId) {
      this.supplierSingleId = supplierSingleId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setNoticeTime(final LocalDateTime noticeTime) {
      this.noticeTime = noticeTime;
   }

   public void setNoticeStatus(final Integer noticeStatus) {
      this.noticeStatus = noticeStatus;
   }

   public void setErrorReason(final String errorReason) {
      this.errorReason = errorReason;
   }

   public void setNoticeProcess(final Integer noticeProcess) {
      this.noticeProcess = noticeProcess;
   }

   public void setNoticeType(final Integer noticeType) {
      this.noticeType = noticeType;
   }

   public void setNoticeStyle(final Integer noticeStyle) {
      this.noticeStyle = noticeStyle;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }
}
